#' Genotyping data from the sequenom platform
#' from markers produced with genotypeR
#'
#' Data from a recombination plasticity experiment in 
#' Drosophila pseudoobscura. This data is provided to demonstrate the
#' the use of the genotypeR package
#'
#' @docType data
#'
#' @usage data(genotypes_data)
#'
#' @format An object read in with \code{read_in_sequenom_data}; see \code{\link[genotypeR]{read_in_sequenom_data}}.
#'
#' @keywords data sets
#'
#'
#' @examples
#' data(genotypes_data)
#' head(genotypes_data)
#' colnames(genotypes_data)
#' 
"genotypes_data"
